<?php


$signup = false;

// checks if all the values are received from form.
if (isset($_POST['username']) and isset($_POST['password']) and isset($_POST['email']) and isset($_POST['phone'])) {
    $username = $_POST['username'];
    $password = $_POST['password'];
    $email = $_POST['email'];
    $phone = $_POST['phone'];
    $error = User::signup($username, $password, $email, $phone);
    $signup = true;
}

// checks if the data stored in database
if ($signup) {
    if (!$error) { ?>
<main class="container">
	<div class="bg-body-tertiary p-5 rounded">
		<h1>Signup Success</h1>
		<p class="lead">Now you can login <a href="/photogram-project-php/login.php">here</a>.</p>
		<a class="btn btn-lg btn-primary" href="/docs/5.3/components/navbar/" role="button">View navbar docs »</a>
	</div>
</main>

<?php } else { ?>
<main class="container">
	<div class="bg-body-tertiary p-5 rounded">
		<h1>Something went wrong..</h1>
		<p class="lead">Please try again .. <a href="login.php">here</a>.</p>
		<?=$error?>
		<a class="btn btn-lg btn-primary" href="/docs/5.3/components/navbar/" role="button">View navbar docs »</a>
	</div>
</main>

<?php }
} else {
    ?>

<main class="form-signup w-100 m-auto">
	<form action="/photogram-project-php/signup.php" method="post">
		<img class="mb-4 center" src="/photogram-project-php/assets/brand/devyani_logo_edit_light copy.svg" alt=""
			width="72" height="77">
		<h1 class="h3 mb-3 fw-normal">Please sign up</h1>

		<div class="form-floating">
			<input name="username" type="text" class="form-control" id="floatingInput" placeholder="Username">
			<label for="floatingInput">Username</label>
		</div>

		<div class="form-floating">
			<input name="email" type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
			<label for="floatingInput">Email address</label>
		</div>
		<div class="form-floating">
			<input name="password" type="password" class="form-control" id="floatingPassword" placeholder="Password">
			<label for="floatingPassword">Password</label>
		</div>
		<div class="form-floating">
			<input name="phone" type="text" class="form-control" id="floatingInput" placeholder="Phone number">
			<label for="floatingInput">Phone number</label>
		</div>


		<div class="form-check text-start my-3">
			<input class="form-check-input" type="checkbox" value="remember-me" id="flexCheckDefault">
			<label class="form-check-label" for="flexCheckDefault">
				Remember me
			</label>
		</div>
		<button class="hvr-grow-shadow btn btn-primary w-100 py-2 " type="submit">Sign Up</button>

	</form>
</main>

<?php } ?>